Package org.h2.value

# Class ExtTypeInfoNumeric

java.lang.Object
org.h2.value.ExtTypeInfo
org.h2.value.ExtTypeInfoNumeric

All Implemented Interfaces:
  `HasSQL`

public final class ExtTypeInfoNumeric extends ExtTypeInfo
Extended parameters of the NUMERIC data type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ExtTypeInfoNumeric`
`DECIMAL`
DECIMAL data type.

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Method Summary

Modifier and Type
Method
Description
`StringBuilder`
`getSQL(StringBuilder builder, int sqlFlags)`
Appends the SQL statement of this object to the specified builder.

### Methods inherited from class org.h2.value.ExtTypeInfo

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

## Field Details

### DECIMAL

public static final ExtTypeInfoNumeric DECIMAL
DECIMAL data type.

## Method Details

### getSQL

public StringBuilder getSQL(StringBuilder builder, int sqlFlags)
Description copied from interface: `HasSQL`
Appends the SQL statement of this object to the specified builder.

Parameters:
  `builder` - string builder
  `sqlFlags` - formatting flags
Returns:
  the specified string builder